curl --request GET \
--url https://api.rekko.ai/v1/events/{slug}/analysisimport requests
url = "https://api.rekko.ai/v1/events/{slug}/analysis"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/events/{slug}/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_slug": "<string>",
"event_title": "<string>",
"platform": "<string>",
"market_count": 1,
"summary": "<string>",
"recommendation": "<string>",
"confidence": 0.5,
"analyzed_at": "2023-11-07T05:31:56Z",
"category": "",
"top_picks": [
"<string>"
],
"market_breakdowns": [
{}
],
"correlations": [
{}
],
"probability_sum": 0,
"mutually_exclusive": true,
"what_would_change_mind": [
"<string>"
],
"models_used": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Event Analysis
Fetch the latest completed event analysis.
Returns 404 if no analysis exists, 202 if still running. Requires INSIGHT tier.
Path Parameters
Event slug
200Response
Successful Response
Event analysis result for the Feed API.
Event slug identifier
Event question/title
Primary platform
Total markets in the event
x >= 0Executive summary of the event analysis
Best value recommendation or NO_BET
Overall analysis confidence
0 <= x <= 1When the analysis was produced
Event category
Market titles with best edge
Per-market probability estimates: {title, estimated_probability, market_price, edge, confidence, one_liner}
Market correlations: {market_a_title, market_b_title, relationship, explanation}
Sum of estimated probabilities (for mutex events, should be ~1.0)
Whether outcomes are mutually exclusive
What would change the recommendation
Model identifiers used